@version 2.2
@warnings
@script master
@name MF Toggle Properties

var currSelectedType;
var lastSelectedType;

flags
{
    return(LAYOUT);
}

create
{
    (sceneItem) = Scene().getSelect();
    if(sceneItem != nil)
	{
    	currSelectedType = getType(sceneItem);
    	lastSelectedType = currSelectedType;
	}
}

process: event, command
{
    (sceneItem) = Scene().getSelect();
    if(sceneItem != nil)
	{
	    currSelectedType = getType(sceneItem);
	    if(event==3 && currSelectedType != lastSelectedType && currSelectedType != nil)
	    {
	        CommandInput("ItemProperties");
	        CommandInput("ItemProperties");
	        lastSelectedType = currSelectedType;
	    }
	}
}

getType: sceneItem
{
	if(sceneItem != nil)
	{
	    if(sceneItem.isCamera())
	        return CAMERA;
	    else if(sceneItem.isMesh())
	        return MESH;
	    else if(sceneItem.isLight())
	        return LIGHT;
	    else if(sceneItem.isBone())
	        return BONE;
	    else
	        return nil;
	}
}